<h3 style="text-align: center; padding-top: 5px;">Add Move</h3>
<form [formGroup]="addMovesForm" (ngSubmit)="onSubmit()">
    <div class="container-edit">
        <label for="name"> </label>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Name</span>
            </div>
            <input formControlName="name" id="nameInput" minlength="3" placeholder="Enter your move name" type="text"
                class="form-control" required />
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Type</span>
            </div>
            <select formControlName="type" class="form-control" required>
                <option></option>
                <option *ngFor="let type of pokemonTypes">{{ type }}</option>
            </select>
        </div>
        <div *ngIf="
            addMovesForm.controls['name'].invalid &&
            (addMovesForm.controls['name'].dirty || addMovesForm.controls['name'].touched)
          ">
            <div class="alert alert-danger">
                <div *ngIf="addMovesForm.controls['name'].invalid">Name field is required</div>
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Status Effect</span>
            </div>
            <select formControlName="statusEffect" class="form-control" required>
                <option></option>
                <option *ngFor="let statusEffect of statusEffects">{{ statusEffect }}</option>
            </select>
        </div>
        <div *ngIf="
            addMovesForm.controls['statusEffect'].invalid &&
            (addMovesForm.controls['statusEffect'].dirty || addMovesForm.controls['statusEffect'].touched)
          ">
            <div class="alert alert-danger">
                <div *ngIf="addMovesForm.controls['statusEffect'].invalid">Status Effect field is required</div>
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Damage</span>
            </div>
            <input formControlName="damage" id="nameInput" placeholder="Enter the amount of damage that the move does"
                type="number" class="form-control" required />
        </div>
        <div *ngIf="
            addMovesForm.controls['damage'].invalid &&
            (addMovesForm.controls['damage'].dirty || addMovesForm.controls['damage'].touched)
          ">
            <div class="alert alert-danger">
                <div *ngIf="addMovesForm.controls['damage'].invalid">Damage field is required</div>
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Accuracy</span>
            </div>
            <input formControlName="accuracy" id="nameInput" placeholder="Enter the amount of accuracy that the move has"
                type="number" class="form-control" required />
        </div>
        <div *ngIf="
            addMovesForm.controls['accuracy'].invalid &&
            (addMovesForm.controls['accuracy'].dirty || addMovesForm.controls['accuracy'].touched)
          ">
            <div class="alert alert-danger">
                <div *ngIf="addMovesForm.controls['Accuracy'].invalid">Accuracy field is required</div>
            </div>
        </div>
        <div>
            <div style="  display: flex;
        justify-content: center;
        align-items: center;" class="center">
                <button style="justify-self: center;" type="submit" class="btn btn-success" [disabled]="addMovesForm.invalid">
                    Save
                </button>
            </div>
            <button type="button" class="close" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <br />
        </div>
    </div>
</form>